apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rainer Jung <rainer.j...@kippdata.de>
Subject Re: Apr-Util compatibility with OpenSSL 1.1.0
Date Tue, 29 Mar 2016 10:03:24 GMT
Hi Bert,

Am 29.03.2016 um 11:31 schrieb Bert Huijben:
> 	Hi,
>
> I just tried using OpenSSL 1.1.0-pre4 with APR-UTIL and found that the code
> is incompatible. The file apr_crypto_openssl.c fails to compile as some
> structs have been made opaque.
>
> I can probably provide a patch later, but perhaps others want to know about
> the problem before that.

I addressed this in apr trunk and the HEAD of apr-util 1.5.x.

There was no apr-util release since then. If you have the necessary auto 
tool buildchain installed, you can check out apr-util 1.5.x HEAD, run 
"buildconf" against any standard apr and check, whether the result 
builds against OpenSSL 1.1.0-pre4 in your environment (and runs "make 
test" well). I'd be very interested in the feedback!

The changes I applied were:

- r1728969
- r1728971
- r1730342

For APR trunk the changes were:

- r1728958
- r1728963
- r1730344

Regards,

Rainer

Mime
View raw message